<components xmlns:mail="http://jboss.org/schema/seam/mail" xmlns:security="http://jboss.org/schema/seam/security"
            xmlns:persistence="http://jboss.org/schema/seam/persistence" xmlns:web="http://jboss.org/schema/seam/web"
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:core="http://jboss.org/schema/seam/core"
            xmlns="http://jboss.org/schema/seam/components"
            xsi:schemaLocation="http://jboss.org/schema/seam/core http://jboss.org/schema/seam/core-2.3.xsd  http://jboss.org/schema/seam/persistence http://jboss.org/schema/seam/persistence-2.3.xsd        http://jboss.org/schema/seam/security http://jboss.org/schema/seam/security-2.3.xsd     http://jboss.org/schema/seam/mail http://jboss.org/schema/seam/mail-2.3.xsd  http://jboss.org/schema/seam/components http://jboss.org/schema/seam/components-2.3.xsd">
    <security:rule-based-permission-resolver security-rules="#{securityRules}"/>
    <!-- drools for security -->

    <!-- Make sure this URL pattern is the same as that used by the Faces Servlet -->

    <mail:mail-session session-jndi-name="java:jboss/mail" />
    <component class="net.ihe.gazelle.common.action.PUProvider"
               jndi-name="java:global/SchematronValidator/gazelle-seam-tools-jar/PUProvider"/>
    <component class="net.ihe.gazelle.metadata.ws.VersionControllerImpl"
               jndi-name="java:module/metadata-v7/VersionControllerImpl"/>
    <component class="net.ihe.gazelle.metadata.ws.MetadataServiceControllerImpl"
               jndi-name="java:module/metadata-v7/MetadataServiceControllerImpl"/>

    <component class="net.ihe.gazelle.schematron.dao.ObjectTypeDAOImpl"
               jndi-name="java:app/SchematronValidator-ejb/ObjectTypeDAOImpl!net.ihe.gazelle.schematron.dao.ObjectTypeDAO"/>
    <component class="net.ihe.gazelle.schematron.dao.SchematronDAOImpl"
               jndi-name="java:app/SchematronValidator-ejb/SchematronDAOImpl!net.ihe.gazelle.schematron.dao.SchematronDAO"/>
    <component class="net.ihe.gazelle.schematron.ws.SchematronValidatorWSImpl"
               jndi-name="java:app/SchematronValidator-ejb/SchematronValidatorWS!net.ihe.gazelle.schematron.ws.SchematronValidatorWS"/>
    <component class="net.ihe.gazelle.schematron.ws.SchematronWSImpl"
               jndi-name="java:app/SchematronValidator-ejb/SchematronWS!net.ihe.gazelle.schematron.ws.SchematronWS"/>
    <component class="net.ihe.gazelle.preferences.ApplicationConfigurationDAOImpl"
               jndi-name="java:app/gazelle-preferences/ApplicationConfigurationDAOImpl!net.ihe.gazelle.preferences.ApplicationConfigurationDAO"/>

    <security:permission-manager permission-store="#{jpaPermissionStore}"/>
    <core:manager concurrent-request-timeout="500" conversation-timeout="120000" conversation-id-parameter="cid"/>
    <core:init debug="${seam.debug}" jndi-pattern="java:app/SchematronValidator/#{ejbName}/local"/>
    <web:hot-deploy-filter url-pattern="*.seam"/>
    <persistence:managed-persistence-context auto-create="true" name="entityManager"
                                             entity-manager-factory="#{entityManagerFactory}"/>
    <event type="org.jboss.seam.security.notLoggedIn">
        <action execute="#{redirect.captureCurrentView}"/>
    </event>
    <event type="org.jboss.seam.security.loginSuccessful">
        <action execute="#{redirect.returnToCapturedView}"/>
    </event>
    <security:remember-me enabled="true"/>
    <web:multipart-filter create-temp-files="true" max-request-size="1000000" url-pattern="*.seam"/>


</components>
